"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransactionType = exports.GroupMemberState = exports.TeachingState = exports.Topic = void 0;
var Topic;
(function (Topic) {
    Topic["AIE"] = "ai-explorers";
    Topic["AIC"] = "ai-creators";
    Topic["DA"] = "data-analytics";
    Topic["DS"] = "data-science";
    Topic["SN"] = "scratch";
    Topic["SNJ"] = "jscratch";
    Topic["SNA"] = "ascratch";
    Topic["SCC"] = "scratch-club";
    Topic["MC"] = "minecraft";
    Topic["MCQ"] = "minecraft-quest";
    Topic["MCC"] = "minecraft-club";
    Topic["MCR"] = "minecraft-redstone";
    Topic["WEB"] = "web";
    Topic["ROBO"] = "robots";
    Topic["JROBO"] = "jrobots";
    Topic["PY"] = "python";
    Topic["DESIGN"] = "design";
    Topic["MOBILE"] = "mobile";
    Topic["BIO"] = "compbio";
    Topic["JAVA"] = "java";
    Topic["TECH"] = "tech";
    Topic["UNITY"] = "unity";
    Topic["ROBLOX"] = "roblox";
    Topic["RCC"] = "roblox-club";
    Topic["INTERNAL"] = "internal";
    Topic["WEBINARS"] = "webinars";
    Topic["FAIR"] = "fair";
    Topic["PARTNERS"] = "partners";
    Topic["MICROBIT"] = "microbit";
    Topic["ARDUINO"] = "arduino";
    Topic["CLOUD"] = "cloud-computing";
    Topic["EFTW"] = "eftw";
    Topic["CAC"] = "cac";
    Topic["AP"] = "ap";
    Topic["APCSA"] = "apcsa";
    Topic["CANVA"] = "canva";
    Topic["SECURITY"] = "cybersecurity";
    Topic["NASA"] = "nasa";
    Topic["TBA"] = "tba";
    Topic["SMASH"] = "smash";
    Topic["WIX"] = "wix";
})(Topic = exports.Topic || (exports.Topic = {}));
var TeachingState;
(function (TeachingState) {
    TeachingState[TeachingState["INVITED"] = 0] = "INVITED";
    TeachingState[TeachingState["ACTIVE"] = 1] = "ACTIVE";
    TeachingState[TeachingState["SUSPENDED"] = 2] = "SUSPENDED";
})(TeachingState = exports.TeachingState || (exports.TeachingState = {}));
var GroupMemberState;
(function (GroupMemberState) {
    GroupMemberState[GroupMemberState["DECLINED"] = 0] = "DECLINED";
    GroupMemberState[GroupMemberState["INVITED"] = 1] = "INVITED";
    GroupMemberState[GroupMemberState["ACCEPTED"] = 2] = "ACCEPTED";
    GroupMemberState[GroupMemberState["CONFIRMED"] = 3] = "CONFIRMED";
})(GroupMemberState = exports.GroupMemberState || (exports.GroupMemberState = {}));
var TransactionType;
(function (TransactionType) {
    TransactionType["Backfill"] = "backfill";
    TransactionType["Credit"] = "credit";
    TransactionType["Sale"] = "sale";
})(TransactionType = exports.TransactionType || (exports.TransactionType = {}));
