export enum Topic {
  AIE = 'ai-explorers',
  AIC = 'ai-creators',
  DA = 'data-analytics',
  DS = 'data-science',
  SN = 'scratch',
  SNJ = 'jscratch',
  SNA = 'ascratch',
  SCC = 'scratch-club',
  MC = 'minecraft',
  MCQ = 'minecraft-quest',
  MCC = 'minecraft-club',
  MCR = 'minecraft-redstone',
  WEB = 'web',
  ROBO = 'robots',
  JROBO = 'jrobots',
  PY = 'python',
  DESIGN = 'design',
  MOBILE = 'mobile',
  BIO = 'compbio',
  JAVA = 'java',
  TECH = 'tech',
  UNITY = 'unity',
  ROBLOX = 'roblox',
  RCC = 'roblox-club',
  INTERNAL = 'internal',
  WEBINARS = 'webinars',
  FAIR = 'fair',
  PARTNERS = 'partners',
  MICROBIT = 'microbit',
  ARDUINO = 'arduino',
  CLOUD = 'cloud-computing',
  EFTW = 'eftw',
  CAC = 'cac',
  AP = 'ap',
  APCSA = 'apcsa',
  CANVA = 'canva',
  SECURITY = 'cybersecurity',
  NASA = 'nasa',
  TBA = 'tba',
  SMASH = 'smash',
  WIX = 'wix'
}

export enum TeachingState {
  INVITED,
  ACTIVE,
  SUSPENDED
}

export enum GroupMemberState {
  DECLINED,
  INVITED,
  ACCEPTED,
  CONFIRMED
}

export enum TransactionType {
  Backfill = 'backfill',
  Credit = 'credit',
  Sale = 'sale'
}
